From 639f89962721147d48706305d508b4da250c744c Mon Sep 17 00:00:00 2001
From: heavybullets8 <heavybullets8@gmail.com>
Date: Wed, 26 Oct 2022 20:28:26 -0600
Subject: [PATCH] error message for failed readonly disable

---
 functions/backup.sh | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/functions/backup.sh b/functions/backup.sh
index c13847f0..7985843b 100644
--- a/functions/backup.sh
+++ b/functions/backup.sh
@@ -166,7 +166,11 @@ do
                 done
 
                 # Ensure readonly is turned off
-                zfs set readonly=off "$pool"/ix-applications
+                if ! zfs set readonly=off "$pool"/ix-applications;then
+                    echo -e "Error: Failed to set ZFS ReadOnly to \"off\""
+                    echo -e "After the restore, attempt to run the following command manually:"
+                    echo "zfs set readonly=off $pool/ix-applications"
+                fi
 
                 echo "Finished setting properties.."